%global     commit     9ba485c37effa562c558559cfb014f94bc29d91a
%global     githash    %(c=%{commit}; echo ${c:0:7})
%global     gitdate    20180602
%global     gittime    1945
%global     orgname    mailnag-gnome-shell

Name:       gnome-shell-extension-mailnag
Version:    3.28.0
Release:    0.%{gitdate}%{gittime}git%{githash}%{?dist}
Summary:    Mailnag GNOME-Shell extension
Group:      User Interface/Desktops

License:    GPLv2
URL:        https://github.com/pulb/mailnag-gnome-shell
Source:     https://github.com/pulb/mailnag-gnome-shell/archive/%{commit}/%{name}-v%{version}-%{githash}.tar.gz
# Patch makefile to additionaly install LICENSE and README.md files
# See https://github.com/pulb/mailnag-gnome-shell/issues/31
Patch0:     gnome-shell-extension-mailnag_fix_makefile.patch

BuildRequires:  folks-devel vala
Requires:       mailnag >= 1.2
Requires:       gnome-shell >= 3.16
Requires:       gnome-tweak-tool >= 3.16

%description
This package provides GNOME Shell integration for Mailnag. 
It includes the following features: notifies about new 
mails via the messaging tray (including a counter badge),
shows an indicator in the top panel (including counter 
badge and pop-up menu) and supports lock screen integration.

In comparison to the extensions.gnome.org version this 
package has enabled support for avatars.

%prep -n
%setup -q -n %{orgname}-%{commit}
%patch0

%install
make prefix=%{buildroot}%{_prefix} install

%build
# not needed

%clean
# not needed

%postun
if [ $1 -eq 0 ]
then
    %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%license %{_datadir}/gnome-shell/extensions/mailnag@pulb.github.com/LICENSE
%doc %{_datadir}/gnome-shell/extensions/mailnag@pulb.github.com/README.md
%{_bindir}/aggregate-avatars
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/gnome-shell/extensions/mailnag@pulb.github.com/

%changelog
* Tue May 17 2016 Heiko Adams <heiko.adams@gmail.com> - 3.20.0-1
- update to version 3.20
- improve specfile
- Patch makefile to additionaly install LICENSE and README.md files

* Sat Mar 26 2016 Heiko Adams <heiko.adams@gmail.com> - 3.18.0-2.201603221945git8ad41d1
- update to latest upstream release
- support Gnome-Shell 3.20

* Sat Mar 28 2015 Heiko Adams <heiko.adams@gmail.com> - 3.14.1-2
- support Gnome-Shell 3.16

* Fri Mar 27 2015 Heiko Adams <heiko.adams@gmail.com> - 3.14.1-1
- update to 3.14.1

* Mon Jul 14 2014 Heiko Adams <heiko.adams@gmail.com> - 3.12.1-201407142315git4a08665
- initial release
